Paying too much to process cards? Get a cheaper quote today.Schedule a call →

Payment Intents

7 endpoints. Base URL https://api.paymentsonline.io, sandbox https://api.sandbox-paymentsonline.io.

Every request needs payments-api-key and payments-account.

GET/v1/payment-intents

List all Payment Intents

Returns a list of Payment Intents. The Payment Intents are sorted with the most recently created appearing first.

Query parameters

  • metadataobjectoptional

    metadata key-value pairs to filter by. Only exact matches on the key-value pair(s) will be returned. Example: ?metadata[internal_customer_id]=7cb1159d-875e-47ae-a309-319fa7ff395b.

  • created_at_gtestring date-timeoptional

    Minimum created_at value to filter by (inclusive).

  • created_at_ltestring date-timeoptional

    Maximum created_at value to filter by (inclusive).

  • statusarray of string (canceled | processing | requires_action | requires_capture | requires_confirmation | requires_payment_method | succeeded)optional

    Only return PaymentIntents whose status is included by this array. Examples: /v1/payment-intents?status=succeeded,requires_payment_method and /v1/payment-intents?status=succeeded&status=requires_payment_method.

  • include_connected_accountsbooleanoptional

    Whether or not to include the results from any connected accounts.

  • subscription_idstringoptional

    The ID of the subscription whose payment intents will be retrieved.

  • qstringoptional

    Supports searching by payment_intent.id, payment_intent.amount, payment_method.billing_details.name, payment_method.id, payment_method.details.last4, payment_method.details.last2, customer.first_name, customer.last_name

  • customer_idstringoptional

    The ID of the customer whose payment intents will be retrieved.

  • terminal_reader_idstringoptional

    The ID of the terminal reader for which payment intents will be retrieved.

  • offsetnumberoptional

    The (zero-based) offset of the first item in the collection to return.

  • limitnumberoptional

    The maximum number of entries to return. If the value exceeds the maximum, then the maximum value will be used.

Header parameters

  • payments-accountstringrequired

    The id of the Paydude Account (usually starting with the prefix acct_) that the request is performed on behalf of. Must be a merchant (connected) account id, not the partner account you signed up with; a partner account passes GET /v1/accounts and then fails with "not enabled for this account" on the first payment call.

Responses

200PaginatedDto | object

  • has_morebooleanrequired

    Whether or not there are more elements available after this set. If false, this set comprises the end of the list.

  • limitnumberoptional

    The maximum number of entries to return. If the value exceeds the maximum, then the maximum value will be used.

  • offsetnumberoptional

    The (zero-based) offset of the first item in the collection to return.

  • totalnumberoptional

    The total items count.

  • itemsarray of PaymentIntentrequired

POST/v1/payment-intents

Create a Payment Intent

Creates a Payment Intent.

Header parameters

  • payments-accountstringrequired

    The id of the Paydude Account (usually starting with the prefix acct_) that the request is performed on behalf of. Must be a merchant (connected) account id, not the partner account you signed up with; a partner account passes GET /v1/accounts and then fails with "not enabled for this account" on the first payment call.

Request body application/jsonrequired

  • amountnumberrequired

    Amount intended to be collected by this PaymentIntent. A positive integer representing how much to charge in the smallest currency unit (e.g., 100 cents to charge $1.00)

  • apply_surchargebooleanoptional

    Whether to apply the account's surcharge rate to this payment intent. The final surcharge amount will be calculated when the payment is captured or confirmed.

  • capture_methodstring (automatic | manual)optional

    Controls when the funds will be captured from the customer’s account. automatic (Default) Paydude automatically captures funds when the customer authorizes the payment. manual Place a hold on funds when the customer authorizes the payment, but don't capture the funds until later.

  • confirmbooleanoptional

    Set to 'true' to attempt to confirm this PaymentIntent immediately. This parameter defaults to false.

  • currencystring (aud | cad | dkk | eur | hkd | jpy | nzd | nok | …)required

    Three-letter ISO currency code, in lowercase.

  • level3Level3optional

    Level 2 and Level 3 (L2/L3) credit card processing refers to certain B2B card transactions for which the merchant might be eligible for lower credit card interchange rates. The lower rates may be available for merchants who provide more detailed information when processing card-not-present transactions.

  • metadataobjectoptional

    Set of [key-value pairs](#section/Metadata) that you can attach to an object. This can be useful for storing additional information about the object in a structured format. Individual keys can be unset by posting an empty value (i.e. '' or null) to them. All keys can be unset by posting an empty value (i.e. {} or null) to metadata.

  • occurrence_typestring (consumer_ad_hoc | merchant_ad_hoc | merchant_recurring)optional

    Used to identify authorization requests that use stored credentials to improve authorization rates and reduce fraud. consumer_ad_hoc Ad hoc consumer-initiated request merchant_ad_hoc Unscheduled merchant-initiated request merchant_recurring Scheduled, merchant-initiated recurring request

  • payment_method_idstringoptional

    ID of the PaymentMethod to attach to this PaymentIntent.

  • payment_method_typesarray of string (card | ach_debit | eft_debit | card_present)required

    The list of payment method types (e.g. card) that this PaymentIntent is allowed to use.

  • platform_fee_amountnumberoptional

    The amount of the platform fee (if any) that will be requested to be applied to the payment and transferred to the partner account. The amount of the fee collected will be capped at the total payment amount.

  • statement_descriptor_suffixstringoptional

    Provides information about a payment that customers see on their statements. Concatenated with the prefix (shortened descriptor) or statement descriptor that’s set on the account to form the complete statement descriptor. Maximum 20 characters for the concatenated descriptor.

Create a Payment Intent

{
  "amount": 1000,
  "currency": "usd",
  "payment_method_types": [
    "card"
  ],
  "confirm": true,
  "payment_method_id": "{{PAYMENT_METHOD_ID}}"
}

Create a card present Payment Intent

{
  "amount": 1000,
  "currency": "usd",
  "payment_method_types": [
    "card_present"
  ],
  "confirm": true,
  "payment_method_id": "{{PAYMENT_METHOD_ID}}"
}

Responses

201PaymentIntent

  • account_idstringrequired

    ID of the Paydude account for which the funds of this PaymentIntent are intended.

  • amountnumberrequired

    Amount intended to be collected by this PaymentIntent. A positive integer representing how much to charge in the smallest currency unit (e.g., 100 cents to charge $1.00 or 100 to charge ¥100, a zero-decimal currency).

  • amount_capturablenumberrequired

    Amount that can be captured from this PaymentIntent.

  • amount_incrementednumberrequired

    Amount (in the smallest currency unit) by which the authorization hold across this PaymentIntent's charges has been raised via incremental authorizations (e.g. overcapture on card-not-present transactions).

  • amount_receivednumberrequired

    Amount that was collected by this PaymentIntent.

  • amount_refundablenumberrequired

    The maximum amount (in the smallest currency unit) that can be refunded for this PaymentIntent. Note: Surcharge amount is not directly refundable and will be calculated based on the proportion of the original amount refunded.

  • canceled_atstring date-timeoptional

    Populated when status is canceled, this is the time at which the PaymentIntent was canceled.

  • cancellation_reasonstring (duplicate | fraudulent | requested_by_customer | abandoned | automatic)optional

    Reason for cancellation of this PaymentIntent, either user-provided (duplicate, fraudulent, requested_by_customer, or abandoned) or generated by Paydude internally (automatic).

  • capture_methodstring (automatic | manual)required

    Controls when the funds will be captured from the customer’s account. automatic (Default) Paydude automatically captures funds when the customer authorizes the payment. manual Place a hold on funds when the customer authorizes the payment, but don't capture the funds until later.

  • chargesarray of Chargerequired

    Charges that were created by this PaymentIntent, if any. At most, this list will only contain one successful charge.

  • client_secretstringrequired

    The client secret of this PaymentIntent. The client secret, along with a publishable key, can be used to complete a payment from your frontend. It should not be stored, logged, embedded in URLs, or exposed to anyone other than the customer. Make sure that you have TLS enabled on any page that includes the client secret.

  • created_atstring date-timerequired

    Time at which the object was created.

  • currencystring (aud | cad | dkk | eur | hkd | jpy | nzd | nok | …)required

    Three-letter [ISO currency code](https://www.iso.org/iso-4217-currency-codes.html), in lowercase.

  • customerCustomeroptional

    The Customer this PaymentIntent belongs to, if one exists. Payment methods attached to other Customers cannot be used with this PaymentIntent.

  • idstringrequired

    Unique identifier for the object.

  • last_payment_errorPaymentIntentErroroptional

    The payment error encountered in the previous PaymentIntent confirmation. It will be cleared if the PaymentIntent is later updated for any reason.

  • level3Level3optional

    Level 2 and Level 3 (L2/L3) credit card processing refers to certain B2B card transactions for which the merchant might be eligible for lower credit card interchange rates. The lower rates may be available for merchants who provide more detailed information when processing card-not-present transactions.

  • metadataobjectoptional

    Set of [key-value pairs](#section/Metadata) that you can attach to an object. This can be useful for storing additional information about the object in a structured format.

  • occurrence_typestring (consumer_ad_hoc | merchant_ad_hoc | merchant_recurring)optional

    Used to identify authorization requests that use stored credentials to improve authorization rates and reduce fraud. consumer_ad_hoc Ad hoc consumer-initiated request merchant_ad_hoc Unscheduled merchant-initiated request merchant_recurring Scheduled, merchant-initiated recurring request

  • payment_methodPaymentMethodoptional

    The PaymentMethod used in this PaymentIntent.

  • payment_method_typesarray of string (card | ach_debit | eft_debit | card_present)required

    The list of payment method types (e.g. card) that this PaymentIntent is allowed to use.

  • platform_fee_amountnumberoptional

    The amount of the fee (if any) that will be requested to be applied to the payment and transferred to the partner account. The amount of the fee collected will be capped a the total payment amount.

  • statement_descriptor_suffixstringoptional

    Provides information about a card payment that customers see on their statements. Concatenated with the prefix (shortened descriptor) or statement descriptor that’s set on the account to form the complete statement descriptor. Maximum 22 characters for the concatenated descriptor

  • statusstring (canceled | processing | requires_action | requires_capture | requires_confirmation | requires_payment_method | succeeded)required

    Status of this PaymentIntent, one of requires_payment_method, requires_confirmation, requires_action, processing, requires_capture, canceled, or succeeded.

  • subscription_idstringoptional

    ID of the subscription related to this PaymentIntent (if any).

  • surcharge_amountnumberrequired

    Amount (in the smallest currency unit) of the surcharge applied to the payment.

  • tip_amountnumberoptional

    Portion of the amount that is a tip/gratuity (if any).

  • updated_atstring date-timerequired

    Time at which the object was updated.

GET/v1/payment-intents/{id}

Get a Payment Intent

Retrieves the details of an existing Payment Intent.

Path parameters

  • idstringrequired

Header parameters

  • payments-accountstringrequired

    The id of the Paydude Account (usually starting with the prefix acct_) that the request is performed on behalf of. Must be a merchant (connected) account id, not the partner account you signed up with; a partner account passes GET /v1/accounts and then fails with "not enabled for this account" on the first payment call.

Responses

200PaymentIntent

  • account_idstringrequired

    ID of the Paydude account for which the funds of this PaymentIntent are intended.

  • amountnumberrequired

    Amount intended to be collected by this PaymentIntent. A positive integer representing how much to charge in the smallest currency unit (e.g., 100 cents to charge $1.00 or 100 to charge ¥100, a zero-decimal currency).

  • amount_capturablenumberrequired

    Amount that can be captured from this PaymentIntent.

  • amount_incrementednumberrequired

    Amount (in the smallest currency unit) by which the authorization hold across this PaymentIntent's charges has been raised via incremental authorizations (e.g. overcapture on card-not-present transactions).

  • amount_receivednumberrequired

    Amount that was collected by this PaymentIntent.

  • amount_refundablenumberrequired

    The maximum amount (in the smallest currency unit) that can be refunded for this PaymentIntent. Note: Surcharge amount is not directly refundable and will be calculated based on the proportion of the original amount refunded.

  • canceled_atstring date-timeoptional

    Populated when status is canceled, this is the time at which the PaymentIntent was canceled.

  • cancellation_reasonstring (duplicate | fraudulent | requested_by_customer | abandoned | automatic)optional

    Reason for cancellation of this PaymentIntent, either user-provided (duplicate, fraudulent, requested_by_customer, or abandoned) or generated by Paydude internally (automatic).

  • capture_methodstring (automatic | manual)required

    Controls when the funds will be captured from the customer’s account. automatic (Default) Paydude automatically captures funds when the customer authorizes the payment. manual Place a hold on funds when the customer authorizes the payment, but don't capture the funds until later.

  • chargesarray of Chargerequired

    Charges that were created by this PaymentIntent, if any. At most, this list will only contain one successful charge.

  • client_secretstringrequired

    The client secret of this PaymentIntent. The client secret, along with a publishable key, can be used to complete a payment from your frontend. It should not be stored, logged, embedded in URLs, or exposed to anyone other than the customer. Make sure that you have TLS enabled on any page that includes the client secret.

  • created_atstring date-timerequired

    Time at which the object was created.

  • currencystring (aud | cad | dkk | eur | hkd | jpy | nzd | nok | …)required

    Three-letter [ISO currency code](https://www.iso.org/iso-4217-currency-codes.html), in lowercase.

  • customerCustomeroptional

    The Customer this PaymentIntent belongs to, if one exists. Payment methods attached to other Customers cannot be used with this PaymentIntent.

  • idstringrequired

    Unique identifier for the object.

  • last_payment_errorPaymentIntentErroroptional

    The payment error encountered in the previous PaymentIntent confirmation. It will be cleared if the PaymentIntent is later updated for any reason.

  • level3Level3optional

    Level 2 and Level 3 (L2/L3) credit card processing refers to certain B2B card transactions for which the merchant might be eligible for lower credit card interchange rates. The lower rates may be available for merchants who provide more detailed information when processing card-not-present transactions.

  • metadataobjectoptional

    Set of [key-value pairs](#section/Metadata) that you can attach to an object. This can be useful for storing additional information about the object in a structured format.

  • occurrence_typestring (consumer_ad_hoc | merchant_ad_hoc | merchant_recurring)optional

    Used to identify authorization requests that use stored credentials to improve authorization rates and reduce fraud. consumer_ad_hoc Ad hoc consumer-initiated request merchant_ad_hoc Unscheduled merchant-initiated request merchant_recurring Scheduled, merchant-initiated recurring request

  • payment_methodPaymentMethodoptional

    The PaymentMethod used in this PaymentIntent.

  • payment_method_typesarray of string (card | ach_debit | eft_debit | card_present)required

    The list of payment method types (e.g. card) that this PaymentIntent is allowed to use.

  • platform_fee_amountnumberoptional

    The amount of the fee (if any) that will be requested to be applied to the payment and transferred to the partner account. The amount of the fee collected will be capped a the total payment amount.

  • statement_descriptor_suffixstringoptional

    Provides information about a card payment that customers see on their statements. Concatenated with the prefix (shortened descriptor) or statement descriptor that’s set on the account to form the complete statement descriptor. Maximum 22 characters for the concatenated descriptor

  • statusstring (canceled | processing | requires_action | requires_capture | requires_confirmation | requires_payment_method | succeeded)required

    Status of this PaymentIntent, one of requires_payment_method, requires_confirmation, requires_action, processing, requires_capture, canceled, or succeeded.

  • subscription_idstringoptional

    ID of the subscription related to this PaymentIntent (if any).

  • surcharge_amountnumberrequired

    Amount (in the smallest currency unit) of the surcharge applied to the payment.

  • tip_amountnumberoptional

    Portion of the amount that is a tip/gratuity (if any).

  • updated_atstring date-timerequired

    Time at which the object was updated.

PATCH/v1/payment-intents/{id}

Update a Payment Intent

Updates a Payment Intent by setting the values of the provided parameters. Any parameters not provided will be left unchanged. Depending on which properties are updated, you may need to [Confirm the Payment Intent](https://docs.paymentsonline.io/api-reference#tag/payment-intents/post/v1/payment-intents/{id}/confirm) again.

Path parameters

  • idstringrequired

Header parameters

  • payments-accountstringrequired

    The id of the Paydude Account (usually starting with the prefix acct_) that the request is performed on behalf of. Must be a merchant (connected) account id, not the partner account you signed up with; a partner account passes GET /v1/accounts and then fails with "not enabled for this account" on the first payment call.

Request body application/jsonrequired

  • amountnumberoptional

    Amount intended to be collected by this PaymentIntent. A positive integer representing how much to charge in the smallest currency unit (e.g., 100 cents to charge $1.00)

  • apply_surchargebooleanoptional

    Whether to apply the account's surcharge rate to this payment intent. The final surcharge amount will be calculated when the payment is captured or confirmed.

  • capture_methodstring (automatic | manual)optional

    Controls when the funds will be captured from the customer’s account. automatic (Default) Paydude automatically captures funds when the customer authorizes the payment. manual Place a hold on funds when the customer authorizes the payment, but don't capture the funds until later.

  • currencystring (aud | cad | dkk | eur | hkd | jpy | nzd | nok | …)optional

    Three-letter ISO currency code, in lowercase.

  • level3Level3optional

    Level 2 and Level 3 (L2/L3) credit card processing refers to certain B2B card transactions for which the merchant might be eligible for lower credit card interchange rates. The lower rates may be available for merchants who provide more detailed information when processing card-not-present transactions.

  • metadataobjectoptional

    Set of [key-value pairs](#section/Metadata) that you can attach to an object. This can be useful for storing additional information about the object in a structured format. Individual keys can be unset by posting an empty value (i.e. '' or null) to them. All keys can be unset by posting an empty value (i.e. {} or null) to metadata.

  • occurrence_typestring (consumer_ad_hoc | merchant_ad_hoc | merchant_recurring)optional

    Used to identify authorization requests that use stored credentials to improve authorization rates and reduce fraud. consumer_ad_hoc Ad hoc consumer-initiated request merchant_ad_hoc Unscheduled merchant-initiated request merchant_recurring Scheduled, merchant-initiated recurring request

  • payment_method_idstringoptional

    ID of the PaymentMethod to attach to this PaymentIntent.

  • payment_method_typesarray of string (card | ach_debit | eft_debit | card_present)optional

    The list of payment method types (e.g. card) that this PaymentIntent is allowed to use.

  • platform_fee_amountnumberoptional

    The amount of the platform fee (if any) that will be requested to be applied to the payment and transferred to the partner account. The amount of the fee collected will be capped at the total payment amount.

  • statement_descriptor_suffixstringoptional

    Provides information about a payment that customers see on their statements. Concatenated with the prefix (shortened descriptor) or statement descriptor that’s set on the account to form the complete statement descriptor. Maximum 20 characters for the concatenated descriptor.

Responses

200PaymentIntent

  • account_idstringrequired

    ID of the Paydude account for which the funds of this PaymentIntent are intended.

  • amountnumberrequired

    Amount intended to be collected by this PaymentIntent. A positive integer representing how much to charge in the smallest currency unit (e.g., 100 cents to charge $1.00 or 100 to charge ¥100, a zero-decimal currency).

  • amount_capturablenumberrequired

    Amount that can be captured from this PaymentIntent.

  • amount_incrementednumberrequired

    Amount (in the smallest currency unit) by which the authorization hold across this PaymentIntent's charges has been raised via incremental authorizations (e.g. overcapture on card-not-present transactions).

  • amount_receivednumberrequired

    Amount that was collected by this PaymentIntent.

  • amount_refundablenumberrequired

    The maximum amount (in the smallest currency unit) that can be refunded for this PaymentIntent. Note: Surcharge amount is not directly refundable and will be calculated based on the proportion of the original amount refunded.

  • canceled_atstring date-timeoptional

    Populated when status is canceled, this is the time at which the PaymentIntent was canceled.

  • cancellation_reasonstring (duplicate | fraudulent | requested_by_customer | abandoned | automatic)optional

    Reason for cancellation of this PaymentIntent, either user-provided (duplicate, fraudulent, requested_by_customer, or abandoned) or generated by Paydude internally (automatic).

  • capture_methodstring (automatic | manual)required

    Controls when the funds will be captured from the customer’s account. automatic (Default) Paydude automatically captures funds when the customer authorizes the payment. manual Place a hold on funds when the customer authorizes the payment, but don't capture the funds until later.

  • chargesarray of Chargerequired

    Charges that were created by this PaymentIntent, if any. At most, this list will only contain one successful charge.

  • client_secretstringrequired

    The client secret of this PaymentIntent. The client secret, along with a publishable key, can be used to complete a payment from your frontend. It should not be stored, logged, embedded in URLs, or exposed to anyone other than the customer. Make sure that you have TLS enabled on any page that includes the client secret.

  • created_atstring date-timerequired

    Time at which the object was created.

  • currencystring (aud | cad | dkk | eur | hkd | jpy | nzd | nok | …)required

    Three-letter [ISO currency code](https://www.iso.org/iso-4217-currency-codes.html), in lowercase.

  • customerCustomeroptional

    The Customer this PaymentIntent belongs to, if one exists. Payment methods attached to other Customers cannot be used with this PaymentIntent.

  • idstringrequired

    Unique identifier for the object.

  • last_payment_errorPaymentIntentErroroptional

    The payment error encountered in the previous PaymentIntent confirmation. It will be cleared if the PaymentIntent is later updated for any reason.

  • level3Level3optional

    Level 2 and Level 3 (L2/L3) credit card processing refers to certain B2B card transactions for which the merchant might be eligible for lower credit card interchange rates. The lower rates may be available for merchants who provide more detailed information when processing card-not-present transactions.

  • metadataobjectoptional

    Set of [key-value pairs](#section/Metadata) that you can attach to an object. This can be useful for storing additional information about the object in a structured format.

  • occurrence_typestring (consumer_ad_hoc | merchant_ad_hoc | merchant_recurring)optional

    Used to identify authorization requests that use stored credentials to improve authorization rates and reduce fraud. consumer_ad_hoc Ad hoc consumer-initiated request merchant_ad_hoc Unscheduled merchant-initiated request merchant_recurring Scheduled, merchant-initiated recurring request

  • payment_methodPaymentMethodoptional

    The PaymentMethod used in this PaymentIntent.

  • payment_method_typesarray of string (card | ach_debit | eft_debit | card_present)required

    The list of payment method types (e.g. card) that this PaymentIntent is allowed to use.

  • platform_fee_amountnumberoptional

    The amount of the fee (if any) that will be requested to be applied to the payment and transferred to the partner account. The amount of the fee collected will be capped a the total payment amount.

  • statement_descriptor_suffixstringoptional

    Provides information about a card payment that customers see on their statements. Concatenated with the prefix (shortened descriptor) or statement descriptor that’s set on the account to form the complete statement descriptor. Maximum 22 characters for the concatenated descriptor

  • statusstring (canceled | processing | requires_action | requires_capture | requires_confirmation | requires_payment_method | succeeded)required

    Status of this PaymentIntent, one of requires_payment_method, requires_confirmation, requires_action, processing, requires_capture, canceled, or succeeded.

  • subscription_idstringoptional

    ID of the subscription related to this PaymentIntent (if any).

  • surcharge_amountnumberrequired

    Amount (in the smallest currency unit) of the surcharge applied to the payment.

  • tip_amountnumberoptional

    Portion of the amount that is a tip/gratuity (if any).

  • updated_atstring date-timerequired

    Time at which the object was updated.

POST/v1/payment-intents/{id}/cancel

Cancel a Payment Intent

Cancels an existing Payment Intent. A Payment Intent can be canceled when it is in one of these statuses: requires_payment_method, requires_capture, requires_confirmation, or requires_action. Once canceled, no additional charges will be made by the Payment Intent, and any operations on the Payment Intent will fail with an error.

Path parameters

  • idstringrequired

Header parameters

  • payments-accountstringrequired

    The id of the Paydude Account (usually starting with the prefix acct_) that the request is performed on behalf of. Must be a merchant (connected) account id, not the partner account you signed up with; a partner account passes GET /v1/accounts and then fails with "not enabled for this account" on the first payment call.

Request body application/jsonrequired

  • cancellation_reasonstring (duplicate | fraudulent | requested_by_customer | abandoned)optional

    Reason for canceling this PaymentIntent. Possible values are duplicate, fraudulent, requested_by_customer, or abandoned

Responses

201PaymentIntent

  • account_idstringrequired

    ID of the Paydude account for which the funds of this PaymentIntent are intended.

  • amountnumberrequired

    Amount intended to be collected by this PaymentIntent. A positive integer representing how much to charge in the smallest currency unit (e.g., 100 cents to charge $1.00 or 100 to charge ¥100, a zero-decimal currency).

  • amount_capturablenumberrequired

    Amount that can be captured from this PaymentIntent.

  • amount_incrementednumberrequired

    Amount (in the smallest currency unit) by which the authorization hold across this PaymentIntent's charges has been raised via incremental authorizations (e.g. overcapture on card-not-present transactions).

  • amount_receivednumberrequired

    Amount that was collected by this PaymentIntent.

  • amount_refundablenumberrequired

    The maximum amount (in the smallest currency unit) that can be refunded for this PaymentIntent. Note: Surcharge amount is not directly refundable and will be calculated based on the proportion of the original amount refunded.

  • canceled_atstring date-timeoptional

    Populated when status is canceled, this is the time at which the PaymentIntent was canceled.

  • cancellation_reasonstring (duplicate | fraudulent | requested_by_customer | abandoned | automatic)optional

    Reason for cancellation of this PaymentIntent, either user-provided (duplicate, fraudulent, requested_by_customer, or abandoned) or generated by Paydude internally (automatic).

  • capture_methodstring (automatic | manual)required

    Controls when the funds will be captured from the customer’s account. automatic (Default) Paydude automatically captures funds when the customer authorizes the payment. manual Place a hold on funds when the customer authorizes the payment, but don't capture the funds until later.

  • chargesarray of Chargerequired

    Charges that were created by this PaymentIntent, if any. At most, this list will only contain one successful charge.

  • client_secretstringrequired

    The client secret of this PaymentIntent. The client secret, along with a publishable key, can be used to complete a payment from your frontend. It should not be stored, logged, embedded in URLs, or exposed to anyone other than the customer. Make sure that you have TLS enabled on any page that includes the client secret.

  • created_atstring date-timerequired

    Time at which the object was created.

  • currencystring (aud | cad | dkk | eur | hkd | jpy | nzd | nok | …)required

    Three-letter [ISO currency code](https://www.iso.org/iso-4217-currency-codes.html), in lowercase.

  • customerCustomeroptional

    The Customer this PaymentIntent belongs to, if one exists. Payment methods attached to other Customers cannot be used with this PaymentIntent.

  • idstringrequired

    Unique identifier for the object.

  • last_payment_errorPaymentIntentErroroptional

    The payment error encountered in the previous PaymentIntent confirmation. It will be cleared if the PaymentIntent is later updated for any reason.

  • level3Level3optional

    Level 2 and Level 3 (L2/L3) credit card processing refers to certain B2B card transactions for which the merchant might be eligible for lower credit card interchange rates. The lower rates may be available for merchants who provide more detailed information when processing card-not-present transactions.

  • metadataobjectoptional

    Set of [key-value pairs](#section/Metadata) that you can attach to an object. This can be useful for storing additional information about the object in a structured format.

  • occurrence_typestring (consumer_ad_hoc | merchant_ad_hoc | merchant_recurring)optional

    Used to identify authorization requests that use stored credentials to improve authorization rates and reduce fraud. consumer_ad_hoc Ad hoc consumer-initiated request merchant_ad_hoc Unscheduled merchant-initiated request merchant_recurring Scheduled, merchant-initiated recurring request

  • payment_methodPaymentMethodoptional

    The PaymentMethod used in this PaymentIntent.

  • payment_method_typesarray of string (card | ach_debit | eft_debit | card_present)required

    The list of payment method types (e.g. card) that this PaymentIntent is allowed to use.

  • platform_fee_amountnumberoptional

    The amount of the fee (if any) that will be requested to be applied to the payment and transferred to the partner account. The amount of the fee collected will be capped a the total payment amount.

  • statement_descriptor_suffixstringoptional

    Provides information about a card payment that customers see on their statements. Concatenated with the prefix (shortened descriptor) or statement descriptor that’s set on the account to form the complete statement descriptor. Maximum 22 characters for the concatenated descriptor

  • statusstring (canceled | processing | requires_action | requires_capture | requires_confirmation | requires_payment_method | succeeded)required

    Status of this PaymentIntent, one of requires_payment_method, requires_confirmation, requires_action, processing, requires_capture, canceled, or succeeded.

  • subscription_idstringoptional

    ID of the subscription related to this PaymentIntent (if any).

  • surcharge_amountnumberrequired

    Amount (in the smallest currency unit) of the surcharge applied to the payment.

  • tip_amountnumberoptional

    Portion of the amount that is a tip/gratuity (if any).

  • updated_atstring date-timerequired

    Time at which the object was updated.

POST/v1/payment-intents/{id}/capture

Capture a Payment Intent

Captures a Payment Intent. Payment Intents can only be captured if their status is requires_capture. Uncaptured Payment Intents will be canceled exactly 7 days after creation.

Path parameters

  • idstringrequired

Header parameters

  • payments-accountstringrequired

    The id of the Paydude Account (usually starting with the prefix acct_) that the request is performed on behalf of. Must be a merchant (connected) account id, not the partner account you signed up with; a partner account passes GET /v1/accounts and then fails with "not enabled for this account" on the first payment call.

Request body application/jsonrequired

  • amount_to_capturenumberoptional

    The amount to capture from the PaymentIntent. Must be less than or equal to the original amount, unless the account has overcapture enabled, in which case a greater amount may be captured. Any amount left uncaptured will be automatically refunded. Defaults to the full amount if not provided. For surcharged PaymentIntents, capture the full original amount; the locked surcharge is added automatically. Use amount_capturable for the outstanding amount.

  • platform_fee_amountnumberoptional

    The amount of the platform fee (if any) that will be requested to be applied to the payment and transferred to the partner account. The amount of the fee collected will be capped at the total payment amount.

Responses

201PaymentIntent

  • account_idstringrequired

    ID of the Paydude account for which the funds of this PaymentIntent are intended.

  • amountnumberrequired

    Amount intended to be collected by this PaymentIntent. A positive integer representing how much to charge in the smallest currency unit (e.g., 100 cents to charge $1.00 or 100 to charge ¥100, a zero-decimal currency).

  • amount_capturablenumberrequired

    Amount that can be captured from this PaymentIntent.

  • amount_incrementednumberrequired

    Amount (in the smallest currency unit) by which the authorization hold across this PaymentIntent's charges has been raised via incremental authorizations (e.g. overcapture on card-not-present transactions).

  • amount_receivednumberrequired

    Amount that was collected by this PaymentIntent.

  • amount_refundablenumberrequired

    The maximum amount (in the smallest currency unit) that can be refunded for this PaymentIntent. Note: Surcharge amount is not directly refundable and will be calculated based on the proportion of the original amount refunded.

  • canceled_atstring date-timeoptional

    Populated when status is canceled, this is the time at which the PaymentIntent was canceled.

  • cancellation_reasonstring (duplicate | fraudulent | requested_by_customer | abandoned | automatic)optional

    Reason for cancellation of this PaymentIntent, either user-provided (duplicate, fraudulent, requested_by_customer, or abandoned) or generated by Paydude internally (automatic).

  • capture_methodstring (automatic | manual)required

    Controls when the funds will be captured from the customer’s account. automatic (Default) Paydude automatically captures funds when the customer authorizes the payment. manual Place a hold on funds when the customer authorizes the payment, but don't capture the funds until later.

  • chargesarray of Chargerequired

    Charges that were created by this PaymentIntent, if any. At most, this list will only contain one successful charge.

  • client_secretstringrequired

    The client secret of this PaymentIntent. The client secret, along with a publishable key, can be used to complete a payment from your frontend. It should not be stored, logged, embedded in URLs, or exposed to anyone other than the customer. Make sure that you have TLS enabled on any page that includes the client secret.

  • created_atstring date-timerequired

    Time at which the object was created.

  • currencystring (aud | cad | dkk | eur | hkd | jpy | nzd | nok | …)required

    Three-letter [ISO currency code](https://www.iso.org/iso-4217-currency-codes.html), in lowercase.

  • customerCustomeroptional

    The Customer this PaymentIntent belongs to, if one exists. Payment methods attached to other Customers cannot be used with this PaymentIntent.

  • idstringrequired

    Unique identifier for the object.

  • last_payment_errorPaymentIntentErroroptional

    The payment error encountered in the previous PaymentIntent confirmation. It will be cleared if the PaymentIntent is later updated for any reason.

  • level3Level3optional

    Level 2 and Level 3 (L2/L3) credit card processing refers to certain B2B card transactions for which the merchant might be eligible for lower credit card interchange rates. The lower rates may be available for merchants who provide more detailed information when processing card-not-present transactions.

  • metadataobjectoptional

    Set of [key-value pairs](#section/Metadata) that you can attach to an object. This can be useful for storing additional information about the object in a structured format.

  • occurrence_typestring (consumer_ad_hoc | merchant_ad_hoc | merchant_recurring)optional

    Used to identify authorization requests that use stored credentials to improve authorization rates and reduce fraud. consumer_ad_hoc Ad hoc consumer-initiated request merchant_ad_hoc Unscheduled merchant-initiated request merchant_recurring Scheduled, merchant-initiated recurring request

  • payment_methodPaymentMethodoptional

    The PaymentMethod used in this PaymentIntent.

  • payment_method_typesarray of string (card | ach_debit | eft_debit | card_present)required

    The list of payment method types (e.g. card) that this PaymentIntent is allowed to use.

  • platform_fee_amountnumberoptional

    The amount of the fee (if any) that will be requested to be applied to the payment and transferred to the partner account. The amount of the fee collected will be capped a the total payment amount.

  • statement_descriptor_suffixstringoptional

    Provides information about a card payment that customers see on their statements. Concatenated with the prefix (shortened descriptor) or statement descriptor that’s set on the account to form the complete statement descriptor. Maximum 22 characters for the concatenated descriptor

  • statusstring (canceled | processing | requires_action | requires_capture | requires_confirmation | requires_payment_method | succeeded)required

    Status of this PaymentIntent, one of requires_payment_method, requires_confirmation, requires_action, processing, requires_capture, canceled, or succeeded.

  • subscription_idstringoptional

    ID of the subscription related to this PaymentIntent (if any).

  • surcharge_amountnumberrequired

    Amount (in the smallest currency unit) of the surcharge applied to the payment.

  • tip_amountnumberoptional

    Portion of the amount that is a tip/gratuity (if any).

  • updated_atstring date-timerequired

    Time at which the object was updated.

POST/v1/payment-intents/{id}/confirm

Confirm a Payment Intent

Confirms a Payment Intent. Confirming indicates that the customer intends to pay with the provided payment method.

Path parameters

  • idstringrequired

Header parameters

  • payments-accountstringrequired

    The id of the Paydude Account (usually starting with the prefix acct_) that the request is performed on behalf of. Must be a merchant (connected) account id, not the partner account you signed up with; a partner account passes GET /v1/accounts and then fails with "not enabled for this account" on the first payment call.

Request body application/jsonrequired

  • payment_method_idstringoptional

    ID of the PaymentMethod to attach to this PaymentIntent.

Confirm a Payment Intent

{
  "payment_method_id": "{{PAYMENT_METHOD_ID}}"
}

Responses

201PaymentIntent

  • account_idstringrequired

    ID of the Paydude account for which the funds of this PaymentIntent are intended.

  • amountnumberrequired

    Amount intended to be collected by this PaymentIntent. A positive integer representing how much to charge in the smallest currency unit (e.g., 100 cents to charge $1.00 or 100 to charge ¥100, a zero-decimal currency).

  • amount_capturablenumberrequired

    Amount that can be captured from this PaymentIntent.

  • amount_incrementednumberrequired

    Amount (in the smallest currency unit) by which the authorization hold across this PaymentIntent's charges has been raised via incremental authorizations (e.g. overcapture on card-not-present transactions).

  • amount_receivednumberrequired

    Amount that was collected by this PaymentIntent.

  • amount_refundablenumberrequired

    The maximum amount (in the smallest currency unit) that can be refunded for this PaymentIntent. Note: Surcharge amount is not directly refundable and will be calculated based on the proportion of the original amount refunded.

  • canceled_atstring date-timeoptional

    Populated when status is canceled, this is the time at which the PaymentIntent was canceled.

  • cancellation_reasonstring (duplicate | fraudulent | requested_by_customer | abandoned | automatic)optional

    Reason for cancellation of this PaymentIntent, either user-provided (duplicate, fraudulent, requested_by_customer, or abandoned) or generated by Paydude internally (automatic).

  • capture_methodstring (automatic | manual)required

    Controls when the funds will be captured from the customer’s account. automatic (Default) Paydude automatically captures funds when the customer authorizes the payment. manual Place a hold on funds when the customer authorizes the payment, but don't capture the funds until later.

  • chargesarray of Chargerequired

    Charges that were created by this PaymentIntent, if any. At most, this list will only contain one successful charge.

  • client_secretstringrequired

    The client secret of this PaymentIntent. The client secret, along with a publishable key, can be used to complete a payment from your frontend. It should not be stored, logged, embedded in URLs, or exposed to anyone other than the customer. Make sure that you have TLS enabled on any page that includes the client secret.

  • created_atstring date-timerequired

    Time at which the object was created.

  • currencystring (aud | cad | dkk | eur | hkd | jpy | nzd | nok | …)required

    Three-letter [ISO currency code](https://www.iso.org/iso-4217-currency-codes.html), in lowercase.

  • customerCustomeroptional

    The Customer this PaymentIntent belongs to, if one exists. Payment methods attached to other Customers cannot be used with this PaymentIntent.

  • idstringrequired

    Unique identifier for the object.

  • last_payment_errorPaymentIntentErroroptional

    The payment error encountered in the previous PaymentIntent confirmation. It will be cleared if the PaymentIntent is later updated for any reason.

  • level3Level3optional

    Level 2 and Level 3 (L2/L3) credit card processing refers to certain B2B card transactions for which the merchant might be eligible for lower credit card interchange rates. The lower rates may be available for merchants who provide more detailed information when processing card-not-present transactions.

  • metadataobjectoptional

    Set of [key-value pairs](#section/Metadata) that you can attach to an object. This can be useful for storing additional information about the object in a structured format.

  • occurrence_typestring (consumer_ad_hoc | merchant_ad_hoc | merchant_recurring)optional

    Used to identify authorization requests that use stored credentials to improve authorization rates and reduce fraud. consumer_ad_hoc Ad hoc consumer-initiated request merchant_ad_hoc Unscheduled merchant-initiated request merchant_recurring Scheduled, merchant-initiated recurring request

  • payment_methodPaymentMethodoptional

    The PaymentMethod used in this PaymentIntent.

  • payment_method_typesarray of string (card | ach_debit | eft_debit | card_present)required

    The list of payment method types (e.g. card) that this PaymentIntent is allowed to use.

  • platform_fee_amountnumberoptional

    The amount of the fee (if any) that will be requested to be applied to the payment and transferred to the partner account. The amount of the fee collected will be capped a the total payment amount.

  • statement_descriptor_suffixstringoptional

    Provides information about a card payment that customers see on their statements. Concatenated with the prefix (shortened descriptor) or statement descriptor that’s set on the account to form the complete statement descriptor. Maximum 22 characters for the concatenated descriptor

  • statusstring (canceled | processing | requires_action | requires_capture | requires_confirmation | requires_payment_method | succeeded)required

    Status of this PaymentIntent, one of requires_payment_method, requires_confirmation, requires_action, processing, requires_capture, canceled, or succeeded.

  • subscription_idstringoptional

    ID of the subscription related to this PaymentIntent (if any).

  • surcharge_amountnumberrequired

    Amount (in the smallest currency unit) of the surcharge applied to the payment.

  • tip_amountnumberoptional

    Portion of the amount that is a tip/gratuity (if any).

  • updated_atstring date-timerequired

    Time at which the object was updated.